<?php

//Require WP plugins
require_once dirname( __FILE__ ) . '/../lib/tgm-plugin-activation/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'pkb_register_required_plugins' );

function pkb_register_required_plugins() {

	$plugins = array(
		array(
			'name'               => 'Envato WordPress Toolkit', // The plugin name
			'slug'               => 'envato-wordpress-toolkit-master', // The plugin slug (typically the folder name)
			'source'             => get_template_directory() . '/lib/plugins/envato-wordpress-toolkit-master.zip', // The plugin source
			'required'           => false, // If false, the plugin is only 'recommended' instead of required
			'version'            => '1.7.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'       => '', // If set, overrides default API URL and points to an external URL
		),

		array(
			'name'             => 'Contact Form 7',
			'slug'             => 'contact-form-7',
			'required'         => true,
			'force_activation' => true,
			'version'          => '4.3.1',
		),

		array(
			'name'             => 'iframe',
			'slug'             => 'iframe',
			'required'         => true,
			'force_activation' => true,
			'version'          => '4.2',
		),

	);

	$config = array(
		'domain'       => 'peekaboo', // Text domain - likely want to be the same as your theme.
		'default_path' => '',                      // Default absolute path to pre-packaged plugins.
		'menu'         => 'install-required-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'peekaboo' ),
			'menu_title'                      => __( 'Install Plugins', 'peekaboo' ),
			'installing'                      => __( 'Installing Plugin: %s', 'peekaboo' ), // %s = plugin name.
			'oops'                            => __( 'Something went wrong with the plugin API.', 'peekaboo' ),
			'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ,'peekaboo'), // %1$s = plugin name(s).
			'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ,'peekaboo'), // %1$s = plugin name(s).
			'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins' ,'peekaboo'),
			'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins' ,'peekaboo'),
			'return'                          => __( 'Return to Required Plugins Installer', 'peekaboo' ),
			'plugin_activated'                => __( 'Plugin activated successfully.', 'peekaboo' ),
			'complete'                        => __( 'All plugins installed and activated successfully. %s', 'peekaboo' ), // %s = dashboard link.
			'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		)
	);


	tgmpa( $plugins, $config );
}
